org.apache.olingo.odata2.api.uri.expression

## Class ExpressionParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.exception.ODataHttpException
          - - org.apache.olingo.odata2.api.exception.ODataBadRequestException
            - - org.apache.olingo.odata2.api.uri.expression.ExpressionParserException

- All Implemented Interfaces:
    Serializable

      public class ExpressionParserException
      extends ODataBadRequestException

  Exception thrown while parsing a filter or orderby expression
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `COMMA_OR_CLOSING_PARENTHESIS_EXPECTED_AFTER_POS`
    `static MessageReference` | `COMMA_OR_END_EXPECTED_AT_POS`
    `static MessageReference` | `COMMON_ERROR`
    `static MessageReference` | `ERROR_IN_TOKENIZER`
    `static MessageReference` | `EXPRESSION_EXPECTED_AFTER_POS`
    `static MessageReference` | `EXPRESSION_EXPECTED_AT_POS`
    `static MessageReference` | `INVALID_METHOD_CALL`
    `static MessageReference` | `INVALID_MULTIPLICITY`
    `static MessageReference` | `INVALID_SORT_ORDER`
    `static MessageReference` | `INVALID_TRAILING_TOKEN_DETECTED_AFTER_PARSING`
    `static MessageReference` | `INVALID_TYPES_FOR_BINARY_OPERATOR`
    `static MessageReference` | `LEFT_SIDE_NOT_A_PROPERTY`
    `static MessageReference` | `LEFT_SIDE_NOT_STRUCTURAL_TYPE`
    `static MessageReference` | `METHOD_WRONG_ARG_BETWEEN`
    `static MessageReference` | `METHOD_WRONG_ARG_EXACT`
    `static MessageReference` | `METHOD_WRONG_ARG_X_OR_LESS`
    `static MessageReference` | `METHOD_WRONG_ARG_X_OR_MORE`
    `static MessageReference` | `METHOD_WRONG_INPUT_TYPE`
    `static MessageReference` | `MISSING_CLOSING_PARENTHESIS`
    `static MessageReference` | `PROPERTY_NAME_NOT_FOUND_IN_TYPE`
    `static MessageReference` | `TOKEN_UNDETERMINATED_STRING`
    `static MessageReference` | `TYPE_EXPECTED_AT`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataBadRequestException

      `AMBIGUOUS_XMETHOD, BODY, COMMON, INVALID_HEADER, INVALID_REQUEST, INVALID_SYNTAX, NOTSUPPORTED, PARSEVERSIONERROR, URLTOOSHORT, VERSIONERROR`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `httpStatus`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionParserException()`
    `ExpressionParserException(MessageReference messageReference)` Create `ExpressionParserException` with given `MessageReference`.
    `ExpressionParserException(MessageReference messageReference, Throwable cause)` Create `ExpressionParserException` with given `MessageReference` and cause `Throwable` which caused this `ExpressionParserException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonExpression` | `getFilterTree()` Gets erroneous filter expression tree for debug information.
    `void` | `setFilterTree(CommonExpression filterTree)` Sets erroneous filter tree for debug information.

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `getHttpStatus`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMON_ERROR

          public static final MessageReference COMMON_ERROR

    - #### ERROR_IN_TOKENIZER

          public static final MessageReference ERROR_IN_TOKENIZER

    - #### TOKEN_UNDETERMINATED_STRING

          public static final MessageReference TOKEN_UNDETERMINATED_STRING

    - #### INVALID_TRAILING_TOKEN_DETECTED_AFTER_PARSING

          public static final MessageReference INVALID_TRAILING_TOKEN_DETECTED_AFTER_PARSING

    - #### EXPRESSION_EXPECTED_AFTER_POS

          public static final MessageReference EXPRESSION_EXPECTED_AFTER_POS

    - #### COMMA_OR_END_EXPECTED_AT_POS

          public static final MessageReference COMMA_OR_END_EXPECTED_AT_POS

    - #### EXPRESSION_EXPECTED_AT_POS

          public static final MessageReference EXPRESSION_EXPECTED_AT_POS

    - #### MISSING_CLOSING_PARENTHESIS

          public static final MessageReference MISSING_CLOSING_PARENTHESIS

    - #### COMMA_OR_CLOSING_PARENTHESIS_EXPECTED_AFTER_POS

          public static final MessageReference COMMA_OR_CLOSING_PARENTHESIS_EXPECTED_AFTER_POS

    - #### INVALID_METHOD_CALL

          public static final MessageReference INVALID_METHOD_CALL

    - #### TYPE_EXPECTED_AT

          public static final MessageReference TYPE_EXPECTED_AT

    - #### METHOD_WRONG_ARG_EXACT

          public static final MessageReference METHOD_WRONG_ARG_EXACT

    - #### METHOD_WRONG_ARG_BETWEEN

          public static final MessageReference METHOD_WRONG_ARG_BETWEEN

    - #### METHOD_WRONG_ARG_X_OR_MORE

          public static final MessageReference METHOD_WRONG_ARG_X_OR_MORE

    - #### METHOD_WRONG_ARG_X_OR_LESS

          public static final MessageReference METHOD_WRONG_ARG_X_OR_LESS

    - #### METHOD_WRONG_INPUT_TYPE

          public static final MessageReference METHOD_WRONG_INPUT_TYPE

    - #### LEFT_SIDE_NOT_STRUCTURAL_TYPE

          public static final MessageReference LEFT_SIDE_NOT_STRUCTURAL_TYPE

    - #### LEFT_SIDE_NOT_A_PROPERTY

          public static final MessageReference LEFT_SIDE_NOT_A_PROPERTY

    - #### PROPERTY_NAME_NOT_FOUND_IN_TYPE

          public static final MessageReference PROPERTY_NAME_NOT_FOUND_IN_TYPE

    - #### INVALID_MULTIPLICITY

          public static final MessageReference INVALID_MULTIPLICITY

    - #### INVALID_TYPES_FOR_BINARY_OPERATOR

          public static final MessageReference INVALID_TYPES_FOR_BINARY_OPERATOR

    - #### INVALID_SORT_ORDER

          public static final MessageReference INVALID_SORT_ORDER

  - ### Constructor Detail

    - #### ExpressionParserException

          public ExpressionParserException()

    - #### ExpressionParserException

          public ExpressionParserException(MessageReference messageReference)

      Create `ExpressionParserException` with given `MessageReference`.
      Parameters:
        `messageReference` - references the message text (and additional values) of this `ExpressionParserException`

    - #### ExpressionParserException

          public ExpressionParserException(MessageReference messageReference,
                                           Throwable cause)

      Create `ExpressionParserException` with given `MessageReference` and cause `Throwable` which caused this `ExpressionParserException`.
      Parameters:
        `messageReference` - References the message text (and additional values) of this `ExpressionParserException`
        `cause` - Exception which caused this `ExpressionParserException`

  - ### Method Detail

    - #### getFilterTree

          public CommonExpression getFilterTree()

      Gets erroneous filter expression tree for debug information.
      Returns:
        erroneous filter tree

    - #### setFilterTree

          public void setFilterTree(CommonExpression filterTree)

      Sets erroneous filter tree for debug information.
      Parameters:
        `filterTree` - filter tree to be set

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.